#
# build with 'rpmbuild --define "kernel <version>" -ba [--target i686]'  if necessary
#

%{!?kernel:%define kernel %( uname -r )}

# do not build the debuginfo package -- it would get the wrong name,
# making some build environments unhappy
# in other news, RPM is crap
%define debug_package %{nil}

Summary: Intel(R) I/O Acceleration Technology driver
Name: kernel-module-ioatdma-%{kernel}
Version: 2.15.4
Release: 2.slc5
Epoch: 0
License: GPL
Buildroot: %{_tmppath}/%{name}-buildroot
Group: System Environment/Kernel
ExclusiveArch: i686 x86_64 ia64
Source: kernel-module-ioatdma-%{version}.tar.gz
Packager: Andras.Horvath@cern.ch
Vendor: CERN, http://cern.ch/linux

BuildRequires: kernel-devel = %{kernel}

Requires: kernel-%{_target_cpu} = %{kernel}
Provides: kernel-module
Provides: kernel-module-ioatdma = %{epoch}:%{version}-%{release}

%description
Upgraded I/OAT driver for use with e.g. 10GE cards.

These drivers are built for kernel %{kversion}-%{krelease}
and architecture %{_target_cpu}.

%package -n ioatdma-driver
Summary: Intel(R) I/O Acceleration Technology driver
Group: System Environment/Kernel
Requires: kernel-module-ioatdma

%description -n ioatdma-driver
Upgraded I/OAT driver for use with e.g. 10GE cards.
(you will also need kernel-module-ioatdma package(s))


%prep
%setup -n kernel-module-ioatdma-%{version}

%build
make KVER=%{kernel} 

%install

rm -rf %{buildroot}/*

%{__install} -d -m0755 %{buildroot}/lib/modules/%{kernel}/extra/ioatdma/
%{__install} -d -m0755 %{buildroot}/lib/modules/%{kernel}/extra/dca/
%{__install} -m0644 ioatdma/ioatdma.ko %{buildroot}/lib/modules/%{kernel}/extra/ioatdma/
%{__install} -m0644 dca/dca.ko %{buildroot}/lib/modules/%{kernel}/extra/dca/

%clean
rm -rf %{buildroot}

%files -n ioatdma-driver
%defattr(-,root,root)
%doc COPYING
%doc README

%files
%defattr(-,root,root)
/lib/modules/%{kernel}/extra/ioatdma/ioatdma.ko
/lib/modules/%{kernel}/extra/dca/dca.ko

%post
/sbin/depmod -aeF /boot/System.map-%{kernel} %{kernel} > /dev/null || :
/sbin/mkinitrd --allow-missing -f /boot/initrd-%{kernel}.img %{kernel} > /dev/null || :

%postun
/sbin/depmod -aeF /boot/System.map-%{kernel} %{kernel} > /dev/null || :
/sbin/mkinitrd --allow-missing -f /boot/initrd-%{kernel}.img %{kernel} > /dev/null || :

 
%changelog
* Tue Sep 30 2008 Jaroslaw Polok <Jaroslaw.Polok@cern.ch>       2.15.4-2.slc5
- changed naming
- provided ioatdma-driver package 
- arrannged spec file to follow other packages we have.
* Mon Sep 29 2008 Andras Horvath <Andras.Horvath@cern.ch>	2.15.4-1.cern
- initial release
